Next Previous Contents

## 3.108 mouse_install

> Function

>   Install an already loaded mouse driver.

> Header

>   `mouse.h`

> Declaration

>   `unsigned char __fastcall__ mouse_install (const struct mouse_callbacks* c, void* driver);`

> Description

>   The function installs an already loaded mouse driver and returns an error code. The `mouse_callbacks` structure passed as first parameter contains pointers to routines needed to move or hide/show the mouse pointer. Defaults for these routines are supplied by the library, so if you can live with these defaults (which are platform specific), just pass a pointer to `mouse_def_callbacks`. The function may be used to install a driver linked statically to the program.

> Limits

>   - Not all drivers are able to detect if the supported hardware is really present.
>   - After installing a driver, the mouse cursor is hidden.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   mouse_load_driver, mouse_uninstall, mouse_unload

> Example

>   None.

Next Previous Contents